#-----------------------------------------------------------------------------
#
# Check for /usr/lib/vadmin/serial_ports being suid
#   (CIAC Advisory F-01)
#

$file = '/usr/lib/vadmin/serial_ports';
&pcheck("SUID $file");
if ((-e $file) && (-u $file)) {
  &report("DANGER: SUID $file vulnerability\n",
          "  To fix: chmod 700 $file\n",
          "          This is SGI Advisory number 19941001-01-P\n",
          "          Contact the TAC for more information.\n");
  &failed;
  }
else {
  &report("INFO: No vulnerability in $file found.\n");
  &passed;
  }

exit 0;

