#-----------------------------------------------------------------------------
#
# Check for presence of patch #34.
#

$file       = '/usr/sbin/inst';
$md5{$file} = '2984c99d4adbd91eb16fbfcc27bf6a15';

&pcheck("Inst patch (84)");
if (!$versions{'patchSG0000084'} && (&getmd5($file) ne $md5{$file})) {
  &report("WARNING: old version of /usr/sbin/inst\n",
    "  To fix: get patch 84 from the TAC.\n",
    "  This replaces the patch 34 updated inst.\n\n");
  &warn;
  }
else {
  &report("INFO:  You have a current version of inst installed.\n");
  &passed;
  }

exit 0;

