#-----------------------------------------------------------------------------
#
# check /usr/ucb/rdist for SUID bit.
#

$file       = '/usr/bsd/rdist';
$md5{$file} = '5c61a144a35b7911496ffc89fd7140ff';

&pcheck($file);

if ((-e $file) && (-u _) && (-x _) && !$versions{"patchSG0000130"} &&
    (&getmd5($file) ne $md5{$file})) {
  &report("DANGER: $file vulnerability\n",
    "  To fix: get patch 130 from the TAC. 130 replaces patch 16.\n\n");
  &failed;
  }
else {
  &report("INFO:  $file appears to be secure.\n");
  &passed;
  }
print "\n";

exit 0;

