#-----------------------------------------------------------------------------
#
# Check for /usr/lib/vadmin/serial_ports being present
#   (CIAC Advisory F-01)
#

$file = '/usr/lib/vadmin/serial_ports';
&pcheck("$file presence");
if (-e $file) {
  &report("DANGER: $file vulnerability\n",
    "  To fix: rm $file\n",
    "          This file is left over from an upgrade and it\n",
    "          is no longer needed in IRIX.\n",
    "          This is SGI Advisory number 19941001-01-P\n\n");
  &failed;
  }
else {
  &report("INFO:  The serial_ports spplication was not left around\n",
          "       after an upgrade from IRIX 4.0.5.  Good.\n");
  &passed;
  }

exit 0;

