#-----------------------------------------------------------------------------
#
# Check /usr/bin/under for SUID bit in 4.0.5 (it's not shipped in 5.2)
#

$file = '/usr/bin/under';
&pcheck($file);
if (-u $file) {
  &report("DANGER: SUID $file vulnerability\n",
          "  To fix: \"chmod -s $file\"\n");
  &failed;
  }
else {
  &report("INFO: $file is not SUID.  This is good.\n");
  &passed;
  }

exit 0;

