#-----------------------------------------------------------------------------
#
# Check /etc/init.d/audio for SUID bit.
#

$file = '/etc/init.d/audio';
&pcheck($file);
if ((-e $file) && (-u $file)) {
  &report("DANGER: SUID $file vulnerability\n",
          "  To fix: \"chmod -s $file\"\n\n");
  &failed;
  }
else {
  &report("INFO:  /etc/init.d/audio is not SUID.  This is good.\n");
  &passed;
  }

exit 0;

