#-----------------------------------------------------------------------------
#
# Check /usr/sbin/colorview for SUID bit.
#

$file = '/usr/sbin/colorview';
&pcheck($file);
if (-u $file) {
  &report("DANGER: SUID/SGID $file vulnerability\n",
          "  To fix: \"chmod -s $file\"\n\n");
  &failed;
  }
else {
  &report("INFO:  No /usr/sbin/colorview vulnerability found.\n);
  &passed;
  }

exit 0;

